<template>
  <div>
    <headerComponent></headerComponent>
    <section class="section1">
      <div class="container">
        <div class="row">
          <div class="col-md-12 section1-title">
            <h1>МИНИ-ПАНСИОНАТ «КАЛИНКА»</h1>
            <p>Мини-пансионат «Калинка» расположен в Чолпон-Ате, в 250 метрах от Иссык-Куля. На территории обустроена бесплатная частная парковка.</p>
            <p>В каждом номере установлен телевизор с плоским экраном и спутниковыми каналами. Из некоторых номеров открывается вид на горы или на сад. Кроме того, в апартаментах установлен телевизор с плоским экраном. Имеется общая кухня.</p>
          </div>
        </div>
      </div>
    </section>
    <section class="section2">
      <div class="container section2">
        <h1>УДОБСТВА</h1>
        <div class="row">
          <CardSectionComponent 
            v-for="udob in udobs"
            :key="udob.title"
            :udob="udob"
          ></CardSectionComponent>

        </div>
      </div>
    </section>
    <section class="section3">
    	<div class="container">
    		<h1>НОМЕРА</h1><br><br>
    		<div class="row">
    			<CardSectionNubmerComponent
                    v-for="number in numbers"
                    :key="number"
                    :number="number" >
    			</CardSectionNubmerComponent>
    		</div>
    	</div>
    </section>
   
    <CardPageMap></CardPageMap>
    <FooterComponent></FooterComponent>
  </div>
</template>

<script>
import headerComponent from "@/components/headerComponent";
import CardSectionComponent from "@/components/CardSectionComponent.vue"
import CardSectionNubmerComponent from "@/components/CardSectionNubmerComponent.vue"
import CardPageMap from "@/components/CardPageMap.vue"
import FooterComponent from "@/components/FooterComponent.vue";
export default {
  components: {
    headerComponent,CardSectionComponent,CardSectionNubmerComponent,CardPageMap,FooterComponent
  },
  data() {
    return {
      udobs: [
        {
          name: "Интернет",
          src: require("@/assets/images/si-glyph_network-2.png"),
        },
        {
          name: "Телевизор",
          src: require("@/assets/images/Vector\ (1).png"),
        },
        {
          name: "Завтрак",
          src: require("@/assets/images/008\   Coffee and Croissant.png"),
        },
        {
          name: "Душевая кабинка",
          src: require("@/assets/images/shower\ 1.png"),
        },
        {
          name: "Стиральная машина",
          src: require("@/assets/images/washer\ 1.png"),
        },
      ],
        numbers: [
            {
                room: "Двухместный номер",
                price: "14.800 тг",
                type:"Стандартный"
            },
            {
                room: "Трехместный номер",
                price: "18.000 тг",
                type:"Стандартный"
            },
            {
                room: "Четырехместный номер",
                price: "23.500 тг",
                type:"Стандартный"
            }
        ],
    };
  },
};
</script>

<style scoped>
header {
  background: url(~@/assets/images/cardRectangle\ 12.png);

  background-repeat: no-repeat;
  background-position: bottom;
  background-size: cover;
}
.navbar-brand {
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 36px;
  line-height: 48px;
  color: #ffffff;
}
.icon i {
  color: #ffffff;
}
.group2 li {
  margin-right: 30px;
  text-align: center;
}
.group2 a {
  color: #fff !important;
}
.group2 li:nth-child(1) {
  margin-right: 30px;
  border-top: 3px solid white;
}
.group2 li:nth-child(2):hover,
.group2 li:nth-child(3):hover,
.group2 li:nth-child(4):hover,
.group2 li:nth-child(5):hover {
  margin-right: 30px;
  border-top: 3px solid white;
}
.nav-item {
  margin: auto;
}
.flag2 img {
  margin-top: 0px;
}
.show-foto-btn {
  width: 300px;
  height: 50px;
  margin-top: 700px;
  background: #ffffff;
  border-radius: 5px;
  border: 1px solid white;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 22px;
  line-height: 29px;
  letter-spacing: 0.05em;
  color: linear-gradient(0deg, #4a4a4a, #4a4a4a);
}
.form {
  width: 400px;
  height: 679px;
  margin-top: 80px;
  background-color: white;
}
.form h1 {
  text-align: center;
  margin-top: 40px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 34px;
  line-height: 45px;
  letter-spacing: 0.05em;
  color: #000000;
}
.form-title p {
  margin-top: 40px;
  margin: auto;
  margin-left: 20px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 24px;
  line-height: 32px;
  color: #000000;
}
.form-input input {
  width: 200px;
  height: 50px;
  margin: 6px;
  margin-top: 10px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 22px;
  line-height: 29px;
  color: #999999;
  background: #ffffff;
  border: 1px solid #cccccc;
  box-sizing: border-box;
  border-radius: 5px;
}
.input {
  width: 410px;
  height: 50px;
  margin-left: 40px;
  margin-top: 20px;
  margin-left: 10px;
  background: #ffffff;
  border: 1px solid #cccccc;
  box-sizing: border-box;
  border-radius: 5px;
}
.form p {
  margin-left: 12px;
  margin-top: 20px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 24px;
  line-height: 32px;
  color: #000000;
}
.bron-btn {
  margin-left: 40px;
  width: 409px;
  height: 50px;
  margin-top: 51px;
  background: linear-gradient(0deg, #e73e4b, #e73e4b);
  border-radius: 10px;
  border: 1px solid #e73e4b;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 22px;
  line-height: 29px;
  letter-spacing: 0.05em;

  color: #ffffff;
}

.section1 {
  margin-top: 100px;
}
.section1-title h1 {
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 132%;
  line-height: 43px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* Gray */

  color: linear-gradient(0deg, #4a4a4a, #4a4a4a);
}
.section1-title p {
  /*text-align: center;*/
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 130%;
  line-height: 40px;
  letter-spacing: 0.05em;
  color: linear-gradient(0deg, #4a4a4a, #4a4a4a);
}

.section2 {
    background-color: #F9FAFB;
    margin-top: 150px;
}
.section2 h1 {
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 132%;
  line-height: 43px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* Gray */

  color: #4a4a4a !important;
}
.section2-icons {
  margin-top: 40px;
  text-align: center;
}
.section2-icons img {
  width: 85px;
  height: 85px;
}
.section2-icons p {
  margin-top: 10px;
  font-family: Roboto;
  font-style: normal;
  font-weight: 300;
  font-size: 116%;
  line-height: 33px;
  /* identical to box height */

  /* Gray */

  color: #4a4a4a !important;
}

.section3 {
  margin-top: 100px;
}
.section3 h1 {
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 162%;
  line-height: 43px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* Gray */

  color: #4a4a4a !important;
}
.CardPageItem {
  margin-top: 50px;
  width: 420%;
  height: 396px;
  border: 1px solid #999999;
  box-sizing: border-box;
  padding: 20px;
  border-radius: 10px;
}
.CardPageItem p {
  margin-top: 60px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 150%;
  line-height: 39px;
  /* identical to box height */

  text-align: center;

  /* Gray */

  color: linear-gradient(0deg, #4a4a4a, #4a4a4a);
}
.CardPageItem h1 {
  margin-top: 50px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 248%;
  line-height: 90px;
  text-align: center;
  letter-spacing: 0.05em;

  /* Gray */

  color: linear-gradient(0deg, #4a4a4a, #4a4a4a);
}

.section4 {
  margin-top: 100px;
}
.section4 h1 {
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 162%;
  line-height: 43px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* Gray */

  color: #4a4a4a !important;
}
.location {
  margin-top: 31px;
  height: 450px;
  background: #c4c4c4 !important;
}

footer {
  margin-top: 80px;
  background: url("~@/assets/images/cardRectangle\ 11.png");
  background-size: cover;
}
footer .title h1 {
  margin-top: 50px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 600;
  font-size: 36px;
  line-height: 48px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* white */

  color: #ffffff;
}
footer .title p {
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 350;
  font-size: 20px;
  line-height: 27px;
  letter-spacing: 0.05em;
  color: #ffffff;
}
.contacts {
  height: auto;
}
.contacts h1 {
  margin-top: 50px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 32px;
  line-height: 32px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* white */

  color: #ffffff;
}
.contacts p {
  margin-top: 20px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 23px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* white */
  color: #ffffff;

  /* color: #FFFFFF; */
}
.contacts h2 {
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 23px;
  line-height: 43px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* white */
  color: #ffffff;

  /* color: #FFFFFF; */
}
.title-end p {
  margin-top: 50px;
  font-family: Segoe UI;
  font-style: normal;
  font-weight: 350;
  font-size: 20px;
  line-height: 27px;
  letter-spacing: 0.05em;
  color: #ffffff;
}
#set {
  font-family: Segoe UI;
  font-style: normal;
  font-weight: normal;
  font-size: 25px;
  line-height: 43px;
  /* identical to box height */

  letter-spacing: 0.05em;

  /* white */
  margin-top: 0px;
  color: #ffffff;
}
.icons {
  margin-top: 29px;
  margin-bottom: 30px;
}
.icons i {
  font-size: 21px;
}
.skype {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: #00a9e7;
}
.youtube {
  margin-left: 20px;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: #f40000;
}
.facebook {
  margin-left: 20px;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: #4e6297;
}
.fa-skype {
  color: white;
}
.fa-facebook {
  color: white;
}
.fa-youtube {
  color: white;
}
.content i {
  color: #fff;
  display: none;
}
.one {
  transition: opacity 0.5s;
  color: white;
}

@media only screen and (max-width: 320px) {
  header {
    background: url(~@/assets/images/header\ 2.png);
    height: 900px;
    background-repeat: no-repeat;
    background-size: cover;
  }
  .show-foto-btn {
    width: 300px;
    margin-top: 30px;
    /*margin-left: 5px;*/
  }
  .form {
    height: 646px;
  }
  .form h1 {
    font-size: 20px;
  }
  .form-input input {
    width: 136px;
  }
  .input {
    width: 278px;
    margin-top: 20px;
  }
  .bron-btn {
    margin-top: 20px;
    width: 288px;
  }
}

@media only screen and (min-width: 321px) and (max-width: 360px) {
  header {
    background: url(~@/assets/images/header\ 2.png);
    height: 900px;
    background-repeat: no-repeat;
    background-size: cover;
  }
  .show-foto-btn {
    width: 340px;
    margin-top: 30px;
    /*margin-left: 5px;*/
  }
  .form {
    height: 646px;
  }
  .form h1 {
    font-size: 28px;
  }
  .form-input input {
    width: 150px;
  }
  .input {
    width: 320px;
    margin-top: 20px;
  }
  .bron-btn {
    margin-top: 20px;
    width: 320px;
  }
}

@media only screen and (min-width: 361px) and (max-width: 415px) {
  header {
    background: url(~@/assets/images/header\ 2.png);
    height: 900px;
    background-repeat: no-repeat;
    background-size: cover;
  }
  .show-foto-btn {
    width: 340px;
    margin-top: 30px;
    margin-left: 5px;
  }
  .form {
    height: 646px;
  }
  .form h1 {
    font-size: 28px;
  }
  .form-input input {
    width: 150px;
  }
  .input {
    width: 324px;
    margin-top: 20px;
  }
  .bron-btn {
    margin-top: 20px;
    width: 340px;
  }
}

@media only screen and (min-width: 416px) and (max-width: 768px) {
  header {
    background: url(~@/assets/images/header\ 2.png);
    height: 900px;
    background-repeat: no-repeat;
    background-size: cover;
  }
  .show-foto-btn {
    width: 340px;
    margin-top: 680px;
    margin-left: 5px;
  }
  .form {
    height: 646px;
  }
  .form h1 {
    font-size: 20px;
  }
  .form-input input {
    width: 123px;
  }
  .input {
    width: 258px;
    margin-top: 20px;
  }
  .bron-btn {
    margin-top: 20px;
    width: 260px;
  }
}

@media only screen and (min-width: 769px) and (max-width: 1024px) {
  header {
    background: url(~@/assets/images/header\ 2.png);
    height: 900px;
    background-repeat: no-repeat;
    background-size: cover;
  }
  .show-foto-btn {
    width: 340px;
    margin-top: 680px;
    margin-left: 5px;
  }
  .form {
    height: 646px;
  }
  .form h1 {
    font-size: 20px;
  }
  .form-input input {
    width: 175px;
  }
  .input {
    width: 357px;
    margin-top: 20px;
  }
  .bron-btn {
    margin-top: 20px;
    width: 370px;
  }
  .group2 li {
    margin-right: 10px;
    text-align: center;
  }
  .group2 a {
    color: #fff !important;
  }
  .group2 li:nth-child(1) {
    margin-right: 10px;
    border-top: 3px solid white;
  }
  .group2 li:nth-child(2):hover,
  .group2 li:nth-child(3):hover,
  .group2 li:nth-child(4):hover,
  .group2 li:nth-child(5):hover {
    margin-right: 10px;
    border-top: 3px solid white;
  }
}
</style>